Page MenuHomeFreeBSD

pianobar-2019.02.14_1.log

Authored By
diizzy
Nov 7 2019, 12:18 AM
Size
27 KB
Subscribers
None

pianobar-2019.02.14_1.log

build started at Thu Nov 7 01:16:42 CET 2019
port directory: /usr/ports/audio/pianobar
package name: pianobar-2019.02.14_1
building for: FreeBSD 120amd64-dev-default 12.0-RELEASE-p10 FreeBSD 12.0-RELEASE-p10 amd64
maintained by: jhixson@FreeBSD.org
Makefile ident:
Poudriere version: 3.3.2_1
Host OSVERSION: 1201000
Jail OSVERSION: 1200086
Job Id:
---Begin Environment---
SHELL=/bin/csh
OSVERSION=1200086
UNAME_v=FreeBSD 12.0-RELEASE-p10
UNAME_r=12.0-RELEASE-p10
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
TRYBROKEN=yes
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.3.2_1
MASTERMNT=/vault2/poudriere/basefs/data/.m/120amd64-dev-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=xterm
GID=0
UID=0
PWD=/vault2/poudriere/basefs/data/.m/120amd64-dev-default/ref/usr/ports/audio/pianobar
NO_WARNING_PKG_INSTALL_EOL=yes
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=120amd64-dev-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/vault2/poudriere/basefs/data/.m/120amd64-dev-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/testport.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---
---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=PACKAGES=/tmp/pkgs PKGREPOSITORY=/tmp/pkgs PKGLATESTREPOSITORY=/tmp/pkgs/Latest
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---
---Begin OPTIONS List---
---End OPTIONS List---
--MAINTAINER--
jhixson@FreeBSD.org
--End MAINTAINER--
--CONFIGURE_ARGS--
--End CONFIGURE_ARGS--
--CONFIGURE_ENV--
MAKE=gmake PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/audio/pianobar/work XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/pianobar/work HOME=/wrkdirs/usr/ports/audio/pianobar/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/audio/pianobar/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh CMAKE_PREFIX_PATH="/usr/local"
--End CONFIGURE_ENV--
--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/audio/pianobar/work XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/pianobar/work HOME=/wrkdirs/usr/ports/audio/pianobar/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/audio/pianobar/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local LOCALBASE=/usr/local CC="cc" CFLAGS="-O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing " CPP="cpp" CPPFLAGS="-isystem /usr/local/include" LDFLAGS=" -fstack-protector-strong " LIBS="-L/usr/local/lib" CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing -isystem /usr/local/include " MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install -s -m 555" BSD_INSTALL_LIB="install -s -m 0644" BSD_INSTALL_SCRIPT="install -m 555" BSD_INSTALL_DATA="install -m 0644" BSD_INSTALL_MAN="install -m 444"
--End MAKE_ENV--
--PLIST_SUB--
OSREL=12.0 PREFIX=%D LOCALBASE=/usr/local RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/pianobar" EXAMPLESDIR="share/examples/pianobar" DATADIR="share/pianobar" WWWDIR="www/pianobar" ETCDIR="etc/pianobar"
--End PLIST_SUB--
--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local DATADIR=/usr/local/share/pianobar DOCSDIR=/usr/local/share/doc/pianobar EXAMPLESDIR=/usr/local/share/examples/pianobar WWWDIR=/usr/local/www/pianobar ETCDIR=/usr/local/etc/pianobar
--End SUB_LIST--
---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/120amd64-dev-make.conf ####
OPTIONS_SET+= RTMP
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1) Target: x86_64-unknown-freebsd12.0 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1) Target: x86_64-unknown-freebsd12.0 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1) Target: x86_64-unknown-freebsd12.0 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=amd64
OPSYS=FreeBSD
_OSRELEASE=12.0-RELEASE-p10
OSREL=12.0
OSVERSION=1200086
PYTHONBASE=/usr/local
HAVE_COMPAT_IA32_KERN=YES
_SMP_CPUS=2
CONFIGURE_MAX_CMD_LEN=262144
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
---End make.conf---
--Resource limits--
cpu time (seconds, -t) unlimited
file size (512-blocks, -f) unlimited
data seg size (kbytes, -d) 33554432
stack size (kbytes, -s) 524288
core file size (512-blocks, -c) unlimited
max memory size (kbytes, -m) unlimited
locked memory (kbytes, -l) unlimited
max user processes (-u) 15800
open files (-n) 1024
virtual mem size (kbytes, -v) unlimited
swap limit (kbytes, -w) unlimited
socket buffer size (bytes, -b) unlimited
pseudo-terminals (-p) unlimited
kqueues (-k) unlimited
umtx shared locks (-o) unlimited
--End resource limits--
=======================<phase: check-sanity >============================
===> License MIT accepted by the user
===========================================================================
=======================<phase: pkg-depends >============================
===> pianobar-2019.02.14_1 depends on file: /usr/local/sbin/pkg - not found
===> Installing existing package /packages/All/pkg-1.12.0.txz
[120amd64-dev-default] Installing pkg-1.12.0...
[120amd64-dev-default] Extracting pkg-1.12.0: .......... done
===> pianobar-2019.02.14_1 depends on file: /usr/local/sbin/pkg - found
===> Returning to build of pianobar-2019.02.14_1
===========================================================================
=======================<phase: fetch-depends >============================
===========================================================================
=======================<phase: fetch >============================
===> License MIT accepted by the user
===> pianobar-2019.02.14_1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by pianobar-2019.02.14_1 for building
===========================================================================
=======================<phase: checksum >============================
===> License MIT accepted by the user
===> pianobar-2019.02.14_1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by pianobar-2019.02.14_1 for building
=> SHA256 Checksum OK for pianobar-2019.02.14.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract >============================
===> License MIT accepted by the user
===> pianobar-2019.02.14_1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by pianobar-2019.02.14_1 for building
===> Extracting for pianobar-2019.02.14_1
=> SHA256 Checksum OK for pianobar-2019.02.14.tar.bz2.
===========================================================================
=======================<phase: patch-depends >============================
===========================================================================
=======================<phase: patch >============================
===> Patching for pianobar-2019.02.14_1
===> Applying FreeBSD patches for pianobar-2019.02.14_1
===========================================================================
=======================<phase: build-depends >============================
===> pianobar-2019.02.14_1 depends on executable: gmake - not found
===> Installing existing package /packages/All/gmake-4.2.1_3.txz
[120amd64-dev-default] Installing gmake-4.2.1_3...
[120amd64-dev-default] `-- Installing gettext-runtime-0.20.1...
[120amd64-dev-default] | `-- Installing indexinfo-0.3.1...
[120amd64-dev-default] | `-- Extracting indexinfo-0.3.1: .... done
[120amd64-dev-default] `-- Extracting gettext-runtime-0.20.1: .......... done
[120amd64-dev-default] Extracting gmake-4.2.1_3: .......... done
===> pianobar-2019.02.14_1 depends on executable: gmake - found
===> Returning to build of pianobar-2019.02.14_1
===> pianobar-2019.02.14_1 depends on package: pkgconf>=1.3.0_1 - not found
===> Installing existing package /packages/All/pkgconf-1.6.3,1.txz
[120amd64-dev-default] Installing pkgconf-1.6.3,1...
[120amd64-dev-default] Extracting pkgconf-1.6.3,1: .......... done
===> pianobar-2019.02.14_1 depends on package: pkgconf>=1.3.0_1 - found
===> Returning to build of pianobar-2019.02.14_1
===========================================================================
=======================<phase: lib-depends >============================
===> pianobar-2019.02.14_1 depends on shared library: libao.so - not found
===> Installing existing package /packages/All/libao-1.2.0_4.txz
[120amd64-dev-default] Installing libao-1.2.0_4...
[120amd64-dev-default] Extracting libao-1.2.0_4: .......... done
===> pianobar-2019.02.14_1 depends on shared library: libao.so - found (/usr/local/lib/libao.so)
===> Returning to build of pianobar-2019.02.14_1
===> pianobar-2019.02.14_1 depends on shared library: libgnutls.so - not found
===> Installing existing package /packages/All/gnutls-3.6.10.txz
[120amd64-dev-default] Installing gnutls-3.6.10...
[120amd64-dev-default] `-- Installing ca_root_nss-3.47...
[120amd64-dev-default] `-- Extracting ca_root_nss-3.47: ........ done
[120amd64-dev-default] `-- Installing gmp-6.1.2_1...
[120amd64-dev-default] `-- Extracting gmp-6.1.2_1: .......... done
[120amd64-dev-default] `-- Installing libidn2-2.2.0...
[120amd64-dev-default] | `-- Installing libunistring-0.9.10_1...
[120amd64-dev-default] | `-- Extracting libunistring-0.9.10_1: .......... done
[120amd64-dev-default] `-- Extracting libidn2-2.2.0: .......... done
[120amd64-dev-default] `-- Installing libtasn1-4.14...
[120amd64-dev-default] `-- Extracting libtasn1-4.14: .......... done
[120amd64-dev-default] `-- Installing nettle-3.5.1_1...
[120amd64-dev-default] `-- Extracting nettle-3.5.1_1: .......... done
[120amd64-dev-default] `-- Installing p11-kit-0.23.18.1...
[120amd64-dev-default] | `-- Installing libffi-3.2.1_3...
[120amd64-dev-default] | `-- Extracting libffi-3.2.1_3: .......... done
[120amd64-dev-default] `-- Extracting p11-kit-0.23.18.1: .......... done
[120amd64-dev-default] `-- Installing trousers-0.3.14_2...
[120amd64-dev-default] | `-- Installing tpm-emulator-0.7.4_2...
===> Creating groups.
Creating group '_tss' with gid '601'.
===> Creating users
Creating user '_tss' with uid '601'.
[120amd64-dev-default] | `-- Extracting tpm-emulator-0.7.4_2: ......... done
===> Creating groups.
Using existing group '_tss'.
===> Creating users
Using existing user '_tss'.
[120amd64-dev-default] `-- Extracting trousers-0.3.14_2: .......... done
[120amd64-dev-default] Extracting gnutls-3.6.10: .......... done
=====
Message from ca_root_nss-3.47:
--
FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.
Assessment and verification of trust is the complete responsibility of the
system administrator.
This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.
This enables SSL Certificate Verification by client software without manual
intervention.
If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.
* /etc/ssl/cert.pem
* /usr/local/etc/ssl/cert.pem
* /usr/local/openssl/cert.pem
=====
Message from trousers-0.3.14_2:
--
To run tcsd automatically, add the following line to /etc/rc.conf:
tcsd_enable="YES"
You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.
If you want to use tcsd with software TPM emulator, use the following
configuration in /etc/rc.conf:
tcsd_enable="YES"
tcsd_mode="emulator"
tpmd_enable="YES"
To use TPM, add your_account to '_tss' group like following:
# pw groupmod _tss -m your_account
===> pianobar-2019.02.14_1 depends on shared library: libgnutls.so - found (/usr/local/lib/libgnutls.so)
===> Returning to build of pianobar-2019.02.14_1
===> pianobar-2019.02.14_1 depends on shared library: libjson-c.so - not found
===> Installing existing package /packages/All/json-c-0.13.1_1.txz
[120amd64-dev-default] Installing json-c-0.13.1_1...
[120amd64-dev-default] Extracting json-c-0.13.1_1: .......... done
===> pianobar-2019.02.14_1 depends on shared library: libjson-c.so - found (/usr/local/lib/libjson-c.so)
===> Returning to build of pianobar-2019.02.14_1
===> pianobar-2019.02.14_1 depends on shared library: libgcrypt.so - not found
===> Installing existing package /packages/All/libgcrypt-1.8.5.txz
[120amd64-dev-default] Installing libgcrypt-1.8.5...
[120amd64-dev-default] `-- Installing libgpg-error-1.36...
[120amd64-dev-default] `-- Extracting libgpg-error-1.36: .......... done
[120amd64-dev-default] Extracting libgcrypt-1.8.5: .......... done
===> pianobar-2019.02.14_1 depends on shared library: libgcrypt.so - found (/usr/local/lib/libgcrypt.so)
===> Returning to build of pianobar-2019.02.14_1
===> pianobar-2019.02.14_1 depends on shared library: libavcodec.so - not found
===> Installing existing package /packages/All/ffmpeg-4.2.1_9,1.txz
[120amd64-dev-default] Installing ffmpeg-4.2.1_9,1...
[120amd64-dev-default] `-- Installing aom-1.0.0.2558...
[120amd64-dev-default] `-- Extracting aom-1.0.0.2558: .......... done
[120amd64-dev-default] `-- Installing dav1d-0.5.0...
[120amd64-dev-default] `-- Extracting dav1d-0.5.0: .......... done
[120amd64-dev-default] `-- Installing fontconfig-2.12.6,1...
[120amd64-dev-default] | `-- Installing expat-2.2.8...
[120amd64-dev-default] | `-- Extracting expat-2.2.8: .......... done
[120amd64-dev-default] | `-- Installing freetype2-2.10.1...
[120amd64-dev-default] | `-- Extracting freetype2-2.10.1: .......... done
[120amd64-dev-default] `-- Extracting fontconfig-2.12.6,1: .......... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
fc-cache: succeeded
[120amd64-dev-default] `-- Installing libX11-1.6.8,1...
[120amd64-dev-default] | `-- Installing libXau-1.0.9...
[120amd64-dev-default] | `-- Extracting libXau-1.0.9: .......... done
[120amd64-dev-default] | `-- Installing libXdmcp-1.1.3...
[120amd64-dev-default] | | `-- Installing xorgproto-2019.1...
[120amd64-dev-default] | | `-- Extracting xorgproto-2019.1: .......... done
[120amd64-dev-default] | `-- Extracting libXdmcp-1.1.3: ......... done
[120amd64-dev-default] | `-- Installing libxcb-1.13.1...
[120amd64-dev-default] | | `-- Installing libpthread-stubs-0.4...
[120amd64-dev-default] | | `-- Extracting libpthread-stubs-0.4: .... done
[120amd64-dev-default] | | `-- Installing libxml2-2.9.9...
[120amd64-dev-default] | | `-- Extracting libxml2-2.9.9: .......... done
[120amd64-dev-default] | `-- Extracting libxcb-1.13.1: .......... done
[120amd64-dev-default] `-- Extracting libX11-1.6.8,1: .......... done
[120amd64-dev-default] `-- Installing libtheora-1.1.1_7...
[120amd64-dev-default] | `-- Installing libogg-1.3.4,4...
[120amd64-dev-default] | `-- Extracting libogg-1.3.4,4: .......... done
[120amd64-dev-default] | `-- Installing libvorbis-1.3.6,3...
[120amd64-dev-default] | `-- Extracting libvorbis-1.3.6,3: .......... done
[120amd64-dev-default] `-- Extracting libtheora-1.1.1_7: .......... done
[120amd64-dev-default] `-- Installing libv4l-1.6.3_4...
[120amd64-dev-default] | `-- Installing jpeg-turbo-2.0.3...
[120amd64-dev-default] | `-- Extracting jpeg-turbo-2.0.3: .......... done
[120amd64-dev-default] `-- Extracting libv4l-1.6.3_4: .......... done
[120amd64-dev-default] `-- Installing libva-2.5.0...
[120amd64-dev-default] | `-- Installing libXext-1.3.4,1...
[120amd64-dev-default] | `-- Extracting libXext-1.3.4,1: .......... done
[120amd64-dev-default] | `-- Installing libXfixes-5.0.3_2...
[120amd64-dev-default] | `-- Extracting libXfixes-5.0.3_2: .......... done
[120amd64-dev-default] | `-- Installing libdrm-2.4.99,1...
[120amd64-dev-default] | | `-- Installing libpciaccess-0.16...
[120amd64-dev-default] | | `-- Installing pciids-20190725...
[120amd64-dev-default] | | `-- Extracting pciids-20190725: ..... done
[120amd64-dev-default] | | `-- Extracting libpciaccess-0.16: ......... done
[120amd64-dev-default] | `-- Extracting libdrm-2.4.99,1: .......... done
[120amd64-dev-default] | `-- Installing wayland-1.16.0_1...
[120amd64-dev-default] | | `-- Installing libepoll-shim-0.0.20190311...
[120amd64-dev-default] | | `-- Extracting libepoll-shim-0.0.20190311: .......... done
[120amd64-dev-default] | `-- Extracting wayland-1.16.0_1: .......... done
[120amd64-dev-default] `-- Extracting libva-2.5.0: .......... done
[120amd64-dev-default] `-- Installing libvdpau-1.1.1_2...
[120amd64-dev-default] `-- Extracting libvdpau-1.1.1_2: .......... done
[120amd64-dev-default] `-- Installing libvpx-1.8.1_1...
[120amd64-dev-default] `-- Extracting libvpx-1.8.1_1: .......... done
[120amd64-dev-default] `-- Installing libx264-0.157.2980...
[120amd64-dev-default] `-- Extracting libx264-0.157.2980: ......... done
[120amd64-dev-default] `-- Installing opencv-core-3.4.1_25...
[120amd64-dev-default] `-- Extracting opencv-core-3.4.1_25: .......... done
[120amd64-dev-default] `-- Installing opus-1.3.1...
[120amd64-dev-default] `-- Extracting opus-1.3.1: .......... done
[120amd64-dev-default] `-- Installing x265-3.2...
[120amd64-dev-default] `-- Extracting x265-3.2: .......... done
[120amd64-dev-default] `-- Installing xvid-1.3.5,1...
[120amd64-dev-default] `-- Extracting xvid-1.3.5,1: ........ done
[120amd64-dev-default] Extracting ffmpeg-4.2.1_9,1: .......... done
=====
Message from freetype2-2.10.1:
--
The 2.7.x series now uses the new subpixel hinting mode (V40 port's option) as
the default, emulating a modern version of ClearType. This change inevitably
leads to different rendering results, and you might change port's options to
adapt it to your taste (or use the new "FREETYPE_PROPERTIES" environment
variable).
The environment variable "FREETYPE_PROPERTIES" can be used to control the
driver properties. Example:
FREETYPE_PROPERTIES=truetype:interpreter-version=35 \
cff:no-stem-darkening=1 \
autofitter:warping=1
This allows to select, say, the subpixel hinting mode at runtime for a given
application.
If LONG_PCF_NAMES port's option was enabled, the PCF family names may include
the foundry and information whether they contain wide characters. For example,
"Sony Fixed" or "Misc Fixed Wide", instead of "Fixed". This can be disabled at
run time with using pcf:no-long-family-names property, if needed. Example:
FREETYPE_PROPERTIES=pcf:no-long-family-names=1
How to recreate fontconfig cache with using such environment variable,
if needed:
# env FREETYPE_PROPERTIES=pcf:no-long-family-names=1 fc-cache -fsv
The controllable properties are listed in the section "Controlling FreeType
Modules" in the reference's table of contents
(/usr/local/share/doc/freetype2/reference/site/index.html, if documentation was installed).
=====
Message from opencv-core-3.4.1_25:
--
===> NOTICE:
The opencv-core port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:
https://bugs.freebsd.org/bugzilla
More information about port maintainership is available at:
https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===> pianobar-2019.02.14_1 depends on shared library: libavcodec.so - found (/usr/local/lib/libavcodec.so)
===> Returning to build of pianobar-2019.02.14_1
===> pianobar-2019.02.14_1 depends on shared library: libcurl.so - not found
===> Installing existing package /packages/All/curl-7.66.0.txz
[120amd64-dev-default] Installing curl-7.66.0...
[120amd64-dev-default] `-- Installing libnghttp2-1.39.2...
[120amd64-dev-default] `-- Extracting libnghttp2-1.39.2: .......... done
[120amd64-dev-default] `-- Installing librtmp-2.4.20151223_4...
[120amd64-dev-default] `-- Extracting librtmp-2.4.20151223_4: .......... done
[120amd64-dev-default] Extracting curl-7.66.0: .......... done
===> pianobar-2019.02.14_1 depends on shared library: libcurl.so - found (/usr/local/lib/libcurl.so)
===> Returning to build of pianobar-2019.02.14_1
===========================================================================
=>> Recording filesystem state for prebuild... done
=======================<phase: configure >============================
===> pianobar-2019.02.14_1 depends on executable: gmake - found
===> pianobar-2019.02.14_1 depends on package: pkgconf>=1.3.0_1 - found
===> pianobar-2019.02.14_1 depends on shared library: libao.so - found (/usr/local/lib/libao.so)
===> pianobar-2019.02.14_1 depends on shared library: libgnutls.so - found (/usr/local/lib/libgnutls.so)
===> pianobar-2019.02.14_1 depends on shared library: libjson-c.so - found (/usr/local/lib/libjson-c.so)
===> pianobar-2019.02.14_1 depends on shared library: libgcrypt.so - found (/usr/local/lib/libgcrypt.so)
===> pianobar-2019.02.14_1 depends on shared library: libavcodec.so - found (/usr/local/lib/libavcodec.so)
===> pianobar-2019.02.14_1 depends on shared library: libcurl.so - found (/usr/local/lib/libcurl.so)
===> Configuring for pianobar-2019.02.14_1
===========================================================================
=======================<phase: build >============================
===> Building for pianobar-2019.02.14_1
gmake[1]: Entering directory '/wrkdirs/usr/ports/audio/pianobar/work/pianobar-2019.02.14'
CC src/main.c
CC src/player.c
CC src/settings.c
CC src/terminal.c
CC src/ui_act.c
CC src/ui.c
CC src/ui_readline.c
CC src/ui_dispatch.c
CC src/libpiano/crypt.c
CC src/libpiano/piano.c
CC src/libpiano/request.c
CC src/libpiano/response.c
CC src/libpiano/list.c
LINK pianobar
gmake[1]: Leaving directory '/wrkdirs/usr/ports/audio/pianobar/work/pianobar-2019.02.14'
===========================================================================
=>> Checking for filesystem violations... done
=======================<phase: run-depends >============================
===========================================================================
=>> Recording filesystem state for prestage... done
=======================<phase: stage >============================
===> Staging for pianobar-2019.02.14_1
===> Generating temporary packing list
gmake[1]: Entering directory '/wrkdirs/usr/ports/audio/pianobar/work/pianobar-2019.02.14'
install -d /wrkdirs/usr/ports/audio/pianobar/work/stage/usr/local/bin/
install -m755 pianobar /wrkdirs/usr/ports/audio/pianobar/work/stage/usr/local/bin/
install -d /wrkdirs/usr/ports/audio/pianobar/work/stage/usr/local/man/man1/
install -m644 contrib/pianobar.1 /wrkdirs/usr/ports/audio/pianobar/work/stage/usr/local/man/man1/
gmake[1]: Leaving directory '/wrkdirs/usr/ports/audio/pianobar/work/pianobar-2019.02.14'
====> Compressing man pages (compress-man)
===========================================================================
====> Running Q/A tests (stage-qa)
Warning: 'bin/pianobar' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
=>> Checking for staging violations... done
=======================<phase: package >============================
===> Building package for pianobar-2019.02.14_1
===========================================================================
=>> Recording filesystem state for preinst... done
=======================<phase: install >============================
===> Installing for pianobar-2019.02.14_1
===> Checking if pianobar is already installed
===> Registering installation for pianobar-2019.02.14_1
[120amd64-dev-default] Installing pianobar-2019.02.14_1...
===========================================================================
=>> Checking shared library dependencies
0x0000000000000001 NEEDED Shared library: [libao.so.4]
0x0000000000000001 NEEDED Shared library: [libavcodec.so.58]
0x0000000000000001 NEEDED Shared library: [libavfilter.so.7]
0x0000000000000001 NEEDED Shared library: [libavformat.so.58]
0x0000000000000001 NEEDED Shared library: [libavutil.so.56]
0x0000000000000001 NEEDED Shared library: [libc.so.7]
0x0000000000000001 NEEDED Shared library: [libcurl.so.4]
0x0000000000000001 NEEDED Shared library: [libgcrypt.so.20]
0x0000000000000001 NEEDED Shared library: [libjson-c.so.4]
0x0000000000000001 NEEDED Shared library: [libm.so.5]
0x0000000000000001 NEEDED Shared library: [libthr.so.3]
=======================<phase: deinstall >============================
===> Deinstalling for pianobar
===> Deinstalling pianobar-2019.02.14_1
Updating database digests format: .......... done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):
Installed packages to be REMOVED:
pianobar-2019.02.14_1
Number of packages to be removed: 1
[120amd64-dev-default] [1/1] Deinstalling pianobar-2019.02.14_1...
[120amd64-dev-default] [1/1] Deleting files for pianobar-2019.02.14_1: ..... done
===========================================================================
=>> Checking for extra files and directories
[00:00:21] Installing from package
[120amd64-dev-default] Installing pianobar-2019.02.14_1...
[120amd64-dev-default] Extracting pianobar-2019.02.14_1: ..... done
[00:00:21] Cleaning up
===> Cleaning for pianobar-2019.02.14_1
[00:00:21] Deinstalling package
Updating database digests format: . done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):
Installed packages to be REMOVED:
pianobar-2019.02.14_1
Number of packages to be removed: 1
[120amd64-dev-default] [1/1] Deinstalling pianobar-2019.02.14_1...
[120amd64-dev-default] [1/1] Deleting files for pianobar-2019.02.14_1: ..... done
build of audio/pianobar | pianobar-2019.02.14_1 ended at Thu Nov 7 01:16:54 CET 2019
build time: 00:00:12

File Metadata

Mime Type
text/x-c++
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
2399108

Event Timeline